/*------ banner --------*/
.sec-hmbanner {
  position: relative;
  overflow: hidden;
  width: 100%;
}

.sec-hmbanner {
  height: 900px;

  & main ul.js-hmbanner,
  & .slick-list,
  & .slick-track,
  & .slick-slide,
  & .slick-slide > div,
  & .slick-slide > div > li {
    height: 100%;
    position: relative;
    margin: 0;
  }
}

main ul.js-hmbanner {
  margin-left: 0;
  list-style-type: none;
  margin-bottom: 0 !important;
  height: 100%;

  & .slick-vertical .slick-slide {
    border: 0;
  }
}

main ul.js-hmbanner .slick-slide > div {
  display: flex;
  flex-wrap: wrap;
}

.sec-hmbanner ul.js-hmbanner img.ban-desk {
  display: block;
}

.sec-hmbanner ul.js-hmbanner img.ban-mob {
  display: none;
}

main ul.js-hmbanner > li {
  margin-bottom: 0;
  position: relative;
  overflow: hidden;
  height: 100%;
}

main ul.js-hmbanner ul.slick-dots {
  position: absolute;
  bottom: 0;
  margin-bottom: 20px;
}

main ul.js-hmbanner ul.slick-dots li button:before {
  display: none;
}

main ul.js-hmbanner > li:not(:nth-child(-n + 1)) {
  display: none;
}

.sec-hmbanner .ol-hmbanner {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  z-index: 0;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: flex-start;

  &::after {
    background: transparent linear-gradient(180deg, #0c2b4e 0%, #00000000 100%)
      0% 0% no-repeat padding-box;
    opacity: 0.9;
    position: absolute;
    content: "";
    z-index: -1;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
  }
}

.ol-hmbanner .container {
  width: 100%;
}

.olhmban-wrap {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  text-align: center;
  max-width: 850px;
  padding-top: 130px;
}

.olhmban-label {
  font-size: 18px;
  font-weight: var(--font-weight-semibold);
  text-transform: uppercase;
  letter-spacing: 3.6px;
  margin-bottom: 22px;
  color: var(--white);
  padding: 0 20px;
  position: relative;
}

.olhmban-label:before,
.olhmban-label:after {
  position: absolute;
  content: "";
  width: 100px;
  height: 2px;
  background-color: var(--white);
  top: 50%;
  margin-top: -1px;
}

.olhmban-label:after {
  margin-right: -100px;
  right: 0;
}

.olhmban-label:before {
  left: 0;
  margin-left: -100px;
}

.olhmban-title {
  font-size: 60px;
  line-height: 66px;
  font-weight: var(--font-weight-medium);
  color: var(--white);
  margin-bottom: 10px;
  text-align: left;
}

.olhmban-desc {
  margin-bottom: 30px;
}

.olhmban-desc p {
  font-weight: var(--font-weight-medium);
  color: var(--white);
}

ul.js-hmbanner .video-wrap {
  height: 800px;
}

ul.js-hmbanner .video-wrap video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  object-position: center center;
  min-height: 100%;
}

.about-header {
  width: 15%;
  margin-top: 7px;
}

.about-text {
  width: 42%;
  padding-right: 50px;
  margin-bottom: 30px;

  & p {
    font-size: 18px;
  }
}

.shape-img {
  position: relative;
  top: -158px;
  right: 0;
  width: 25.33%;
}

.hm-service .service-title {
  font-size: 20px;
  font-weight: bold;
  position: relative;

  & ::after {
    position: relative;
    content: "";
    background: url(../images/svg/arrow-right-link.svg) no-repeat left top;
    width: 25px;
    height: 15px;
    left: 0;
    margin-right: 10px;
    display: inline-block;
  }
}

.hm-service {
  position: relative;

  & .heading-50 {
    width: 30%;
  }

  & .service-top-content {
    width: 35%;
    /* margin: 0 auto; */
    margin: 0;

    & p {
      font-size: 18px;
    }
  }
}

.hm-service .flex-container:has(.heading-50) {
  justify-content: space-between;
}

.hm-service .service-slider {
  margin-right: calc(-50vw + (100% - 500px) / 2);
  position: relative;
  margin-left: -15px;
  margin-bottom: 50px;

  & .slick-arrow {
    margin-top: -170px;
    border: 1px solid #c5c5c5;
    width: 50px;
    height: 50px;
    background-color: var(--white);

    &:hover {
      background-color: var(--theme);
      border-color: var(--theme);
    }
  }

  & .slick-prev {
    /* left: 100%;
    margin-left: -32%; */
    top: calc(50% - 0px);
    left: -15px;
    margin-top: 0;
  }

  & .slick-next {
    /* left: 100%;
    right: inherit;
    margin-left: -28.5%; */
    z-index: 11;
    right: unset;
    left: -50px;
    top: calc(50% - 0px);
    margin-top: 0;
    left: auto;
    right: 0;
    margin-right: calc(-20vw + (100% - 215px) / 2);
  }
}

.hm-keyfeature-section {
  & .key-slider {
    margin-left: -20px;
    margin-right: -20px;
  }

  & .key-inline {
    margin: 0 20px 50px;

    & .key-icon {
      background-color: var(--theme);

      > img {
        filter: invert(1) brightness(100);
      }
    }

    & .key-text {
      & p {
        color: #2e3638;
        font-weight: bold;
      }
    }
  }
}

.work-step {
  width: 20%;
  position: relative;
  margin-bottom: 50px;

  &:not(:last-of-type) {
    &::after {
      position: absolute;
      content: "";
      background: url(../images/svg/step-arrow.svg) no-repeat center;
      width: 38px;
      height: 38px;
      margin-left: -20px;
      left: 100%;
      top: 15%;
    }
  }
}

.work-icon {
  background-color: var(--theme);
  width: 126px;
  height: 126px;
  border-radius: 100%;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 45px;
  position: relative;

  &::after {
    position: absolute;
    content: "";
    background: url(../images/svg/arrow-down-left.svg) no-repeat;
    bottom: -35px;
    width: 15px;
    height: 15px;
  }
}

.work-step p {
  font-size: 18px;
  font-weight: bold;
  color: #2e3638;
  line-height: 24px;
  margin-bottom: 20px;
}

.js-hmbanner {
  & .slick-arrow {
    background-color: rgb(255 255 255 / 40%);
    border: 0;

    &:hover {
      background-color: var(--theme);
    }
  }

  & .slick-prev {
    left: inherit;
    right: 100px;
    margin-top: -30px;

    &::before {
      transform: rotate(90deg);
      filter: invert(1);
    }
  }

  & .slick-next {
    right: 100px;
    margin-top: 30px;

    &::before {
      transform: rotate(90deg);
      filter: invert(1);
    }
  }
}
/*  testimonial  */
.testimonial-js .slick-slide {
  margin: 0 20px;
}
.client_box {
  background: var(--white);
  border-radius: 10px;
  padding: 30px;
  & .cl_text {
    max-height: 200px;
    overflow-y: auto;
    margin-bottom: 20px;
    & p {
      margin-bottom: 30px;
    }
  }
  & .cl_nm {
    > span {
      font-weight: 600;
      color: var(--darkbg);
      line-height: 1.2;
      margin-bottom: 5px;
      display: block;
    }
  }
}
.testimonial-js {
  margin-left: -20px;
  margin-right: -20px;
  & > .client_box {
    width: calc(33.33% - 40px);
  }
  & .slick-track {
    display: flex;
    flex-wrap: wrap;
    & .slick-slide {
      height: auto;
      & > div {
        display: flex;
        flex-wrap: wrap;
        height: 100%;
      }
      & .client_box {
        display: flex !important;
        flex-wrap: wrap;
        height: 100%;
        flex-direction: column;
      }
    }
  }
  & .slick-prev {
    left: 0;
  }
  & .slick-next {
    right: 0;
  }
}
.testimonial-js > .client_box:not(:nth-of-type(-n + 3)) {
  display: none;
}
/*------------media query-------*/
@media (max-width: 1820px) {
  .hm-service {
    & .vertical-text {
      left: 3%;
    }
  }
}

@media (max-width: 1599.98px) {
  .sec-hmbanner {
    height: 800px;
  }

  .hm-service {
    & .vertical-text {
      left: 2%;
    }
  }
}

@media (max-width: 1439.98px) {
  .sec-hmbanner {
    height: 700px;
  }

  .olhmban-title {
    font-size: 50px;
    line-height: 55px;
  }

  .about-text {
    width: 55%;
    padding-right: 0;
    margin-bottom: 50px;
  }

  .hm-service {
    & .heading-50 {
      width: 35%;
    }

    & .service-top-content {
      width: 40%;
      margin: 0 auto 0 0;
      padding-left: 30px;
    }
  }

  /* .hm-service .service-slider {
    & .slick-arrow {
      margin-top: -140px;
    }

    & .slick-prev {
      margin-left: -33%;
    }
  } */
}

@media (max-width: 1199.98px) {
  .sec-hmbanner {
    height: 600px;
  }

  .how-work-wrapper {
    overflow-x: scroll;
    flex-wrap: nowrap;
    margin-bottom: 30px;

    & .work-step {
      width: auto;
      min-width: 230px;
      margin-bottom: 30px;
      display: inline-flex;
      flex-wrap: wrap;
      flex-direction: column;
      justify-content: center;

      & .work-icon {
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 45px;
        width: 115px;
        height: 115px;
      }

      & p {
        font-size: 16px;
      }

      & .step-no {
        > img {
          max-width: 50px;
        }
      }
    }
  }

  .olhmban-title {
    font-size: 40px;
    line-height: 1.2;
  }

  .hm-service {
    & .heading-50 {
      width: 40%;
    }
  }

  .hm-service {
    & .vertical-text {
      display: none;
    }
  }
  .testimonial-js {
    margin-left: -15px;
    margin-right: -15px;
    & .slick-slide {
      margin: 0 15px;
    }
  }
}

@media (max-width: 991.98px) {
  .sec-hmbanner {
    height: 500px;
  }

  .olhmban-label {
    font-size: 16px;
    letter-spacing: 2.6px;
  }

  .olhmban-label::before,
  .olhmban-label::after {
    width: 60px;
  }

  .olhmban-label::before {
    margin-left: -60px;
  }

  .olhmban-label::after {
    margin-right: -50px;
  }

  .hm-service {
    padding-bottom: 50px;

    & .heading-50,
    & .service-top-content {
      width: 100%;
    }

    & .service-top-content {
      margin: 0 0 30px 0;
      padding-left: 0;
    }

    & .service-title {
      font-size: 18px;
    }

    .service-slider {
      margin-left: -10px;
      margin-right: -10px;

      & .slick-slide {
        margin: 0 10px;
      }

      & .slick-arrow {
        margin-top: 0;
        top: 50%;
        width: 40px;
        height: 40px;
      }

      & .slick-next {
        left: inherit;
        right: 0;
        margin-left: 0;
        margin-right: 0;
      }

      & .slick-prev {
        left: 0px;
        margin-left: 0;
      }
    }
  }

  .olhmban-title {
    font-size: 32px;
  }

  .hm-service .service-slider {
    margin-right: -15px;
  }

  .about-header {
    width: 100%;

    & .heading-16 {
      margin-bottom: 0;
    }

    & .down-arrow {
      margin-bottom: 20px;
    }
  }

  .about-text {
    width: 75%;
  }

  .shape-img {
    width: 22.33%;
  }

  .about-text {
    margin-bottom: 50px;
  }

  .service-block:hover {
    & .service-caption {
      height: auto;
    }
  }
}

@media (max-width: 767.98px) {
  .sec-hmbanner {
    height: 550px;
  }

  .sec-hmbanner ul.js-hmbanner img.ban-desk {
    display: none;
  }

  .sec-hmbanner ul.js-hmbanner img.ban-mob {
    display: block;
  }

  .how-work-wrapper {
    & .work-step {
      min-width: 200px;

      & .work-icon {
        width: 100px;
        height: 100px;
      }
    }
  }

  .olhmban-title {
    font-size: 24px;
    text-align: center;
  }

  .olhmban-desc p {
    line-height: 1.2;
  }

  .hm-keyfeature-section,
  .line-bg-section {
    & .key-slider {
      margin-left: -15px;
      margin-right: -15px;

      & .key-inline {
        margin: 0 15px 40px;
      }
    }
  }

  .shape-img {
    display: none;
  }

  .about-text {
    margin-bottom: 40px;
    width: 100%;
  }

  .hm-service {
    & .service-title {
      font-size: 16px;
    }
  }

  .about-text {
    & p {
      font-size: 16px;
    }
  }
  .client_box {
    padding: 20px;
  }
  .testimonial-js {
    margin-left: -10px;
    margin-right: -10px;
    & .slick-slide {
      margin: 0 10px;
    }
  }
  .hm-service {
    & .service-top-content {
      & p {
        font-size: 16px;
      }
    }
  }
}

@media (max-width: 575.98px) {
  ul.js-hmbanner .video-wrap {
    height: 400px;
  }

  .olhmban-wrap {
    & .btnlist {
      & .button {
        margin-bottom: 10px;
      }
    }
  }

  .olhmban-label {
    font-size: 12px;
    letter-spacing: 2px;
    padding: 0;
    margin-bottom: 14px;
  }

  .olhmban-label::before,
  .olhmban-label::after {
    display: none;
  }

  .olhmban-title {
    font-size: 26px;
    line-height: 30px;
  }

  .olhmban-desc {
    margin-bottom: 20px;
  }

  .olhmban-desc p {
    line-height: 18px;
  }

  .how-work-wrapper {
    & .work-step {
      min-width: 180px;
    }
  }

  .hm-keyfeature-section,
  .line-bg-section {
    & .key-slider {
      margin-left: 0;
      margin-right: 0;

      & .slick-slide {
        padding: 0;

        & .key-inline {
          margin: 0 0px 10px;

          & .key-text {
            padding-left: 10px;
          }
        }
      }
    }
  }

  .hm-service {
    & .service-slider {
      & .slick-slide {
        margin: 0 5px;
      }
    }
  }

  .how-work-wrapper {
    & .work-step {
      & .work-icon {
        width: 80px;
        height: 80px;
        margin-bottom: 35px;

        &::after {
          bottom: -30px;
        }

        > img {
          max-width: 40px;
        }
      }

      & .step-no {
        > img {
          max-width: 30px;
        }
      }
    }
  }
}
